/**
 * @file
 * Related Content View styles
 * Use in node--book--full.html.twig
 */

.buy-popin {
  position: fixed;
  visibility: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(43, 43, 58, 0.8);
  transition: all ease .3s;
  opacity: 0;
  z-index: 200;
}
.buy-popin.is-open {
  visibility: visible;
  transition: all ease .3s;
  opacity: 1;
}
.buy-popin__wrapper {
  display: flex;
  flex-direction: column;
  border-radius: 3px;
  justify-content: center;
  position: relative;
}
.buy-popin__close {
  position: absolute;
  top: -17px;
  right: -17px;
  display: block;
  content: '';
  background-image: url("../../images/icons/close.svg");
  background-position: center;
  background-repeat: no-repeat;
  width: 15px;
  height: 15px;
  cursor: pointer;
}
.buy-popin__image {
  padding: 2rem 2.5rem;
  display: flex;
  justify-content: center;
}
.buy-popin__content {
  background-color: var(--color-neutral);
  padding: 2rem;
}
.buy-popin__content p {
  font-family: 'Raleway', sans-serif;
  font-weight: 800;
  font-size: 1.5rem;
  line-height: 100%;
  color: var(--color-primary--1);
  margin: 0;
}
.buy-popin__content p span {
  font-size: 1rem;
  font-weight: 400;
}
.buy-popin__links {
  display: flex;
  flex-direction: column;
  margin-top: 2rem;
}

@media all and (min-width: 750px) {
  .buy-popin__wrapper {
    flex-direction: row;
  }
  .buy-popin__content {
    padding: 2rem 6rem 2rem 2rem;
  }
}



/**
 * Book pins color
 */

.buy-popin__image-color-heritage {
  background-color: var(--color-heritage--1);
}
.buy-popin__image-color-news {
  background-color: var(--color-news--1);
}
.buy-popin__image-color-culture {
  background-color: var(--color-culture--1);
}
.buy-popin__image-color-youth {
  background-color: var(--color-youth--1);
}
.buy-popin__image-color-fictions {
  background-color: var(--color-fictions--1);
}
.buy-popin__image-color-history {
  background-color: var(--color-history--1);
}
.buy-popin__image-color-space {
  background-color: var(--color-space--1);
}
.buy-popin__image-color-sport {
  background-color: var(--color-sport--1);
}
